
Foreman - Bug #3697

Field Validations Should be more Comprehensive

11/20/2013 09:07 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Rails   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hostnames:

should be validated against http://tools.ietf.org/html/rfc1123

e.g. if user creates hostname with a _, which foreman allows, will

cause problems alter during provisioning

IP Addresses:

validation should be extended to check if each octet is < 255

Related issues:

Related to Foreman - Feature #3701: Fail if a hostname has a dot in it Closed 11/20/2013

Related to Foreman - Bug #4519: Renaming host with / in name causes "No route... Closed 03/03/2014

Has duplicate Foreman - Bug #3156: Foreman allows underscores in hostnames Duplicate 09/27/2013

Associated revisions

Revision 4bae5ced - 01/22/2014 05:56 PM - Stephen Benjamin

fixes #3697, #3701 - more comprehensive field validations

Revision dbaa47b7 - 01/22/2014 06:41 PM - Dominic Cleal

refs #3697, #3701 - fix test with multiple validation failures

Revision f0e33f83 - 01/23/2014 11:31 AM - Stephen Benjamin

fixes #3697, #3701 - more comprehensive field validations

(cherry picked from commit 4bae5cedb8ab562b6c397234c5cb1cfd604fde74)

Revision 9f02cefa - 01/23/2014 11:31 AM - Dominic Cleal

refs #3697, #3701 - fix test with multiple validation failures

(cherry picked from commit dbaa47b718a25992065cc6e0afea78bed1171f7e)

History

#1 - 11/20/2013 01:35 PM - Dominic Cleal

- Related to Feature #3701: Fail if a hostname has a dot in it added

#2 - 01/22/2014 05:53 PM - Dominic Cleal

- Category set to Rails

- Status changed from New to Ready For Testing

- Target version set to 1.9.2

- translation missing: en.field_release set to 2

https://github.com/theforeman/foreman/pull/1041
#3 - 01/22/2014 06:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4bae5cedb8ab562b6c397234c5cb1cfd604fde74.

#4 - 03/03/2014 12:08 PM - Dominic Cleal

- Related to Bug #4519: Renaming host with / in name causes "No route matches" error added

#5 - 06/06/2014 05:24 PM - Dominic Cleal

- Has duplicate Bug #3156: Foreman allows underscores in hostnames added
